FreeBSD : foswiki -- Script Insertion Vulnerability via unchecked user registration fields (495b46fd-a30f-11e1-82c9-d0df9acfd7e5)

Low Nessus Plugin ID 59206


The remote FreeBSD host is missing a security-related update.


Foswiki team reports :

When a new user registers, the new user can add arbitrary HTML and script code into the user topic which is generated by the RegistrationAgent via standard registration fields such as 'FirstName' or 'OrganisationName'.

By design, Foswiki's normal editing features allow arbitrary HTML markup, including script code, to be inserted into any topic anyway, assuming the authenticated user has CHANGE permission - which is the case on many Foswiki sites. However, the assumption that only authenticated users with CHANGE permission may create script content is false if new users exploit the vulnerability detailed in this alert to manipulate the registration agent into creating that content for them.


Update the affected package.

See Also

Plugin Details

Severity: Low

ID: 59206

File Name: freebsd_pkg_495b46fda30f11e182c9d0df9acfd7e5.nasl

Version: $Revision: 1.2 $

Type: local

Published: 2012/05/21

Modified: 2013/06/21

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 2.1

Vector: CVSS2#AV:N/AC:H/Au:S/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:foswiki, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2012/05/21

Vulnerability Publication Date: 2012/04/13

Reference Information

CVE: CVE-2012-1004